=== debian/control ===
Source: sip
Priority: extra
Maintainer: Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>
Build-Depends: debhelper (>= 5), python2.5-dev (>= 2.5.1), dpatch
Standards-Version: 3.7.2
Section: libs

Package: sip-dev
Section: libdevel
Architecture: any
Depends: sip (= ${Source-Version}), python2.5 (>= 2.5.1)
Description: Python/C++ bindings generator development files.
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings, because it's specific
 to C++ and Python.
 Homepage: http://www.riverbankcomputing.co.uk/sip

Package: sip
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5 (>= 2.5.1)
Description: Python/C++ bindings generator runtime.
 SIP is a tool for generating bindings for C++ classes with some ideas
 borrowed from SWIG, but capable of tighter bindings, because it's specific
 to C++ and Python.
 Homepage: http://www.riverbankcomputing.co.uk/sip
